Bug 1786328 - Exceptions/Errors start of eric / class 'OverflowError
Summary: Exceptions/Errors start of eric / class 'OverflowError
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eric
Version: 31
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-24 12:54 UTC by basilicum
Modified: 2020-02-10 01:42 UTC (History)
3 users (show)

Fixed In Version: eric-20.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-10 01:42:09 UTC
Type: Bug


Attachments (Terms of Use)
Error information (3.90 KB, text/plain)
2019-12-24 12:54 UTC, basilicum
no flags Details

Description basilicum 2019-12-24 12:54:29 UTC
Created attachment 1647501 [details]
Error information

Description of problem:

The following unexpected behavior is reproducible as follows:

Start FC31 live user from USB, install eric by dnf.

Starting eric results in exception captured in file error (attached).

After clicking away there is a warning (see attached).

You can do a little development in eric, but the errors pop up quite
often, making eric unuseable.

Maybe there is something wrong with eric, with dependencies or with the
packaging of fedora 31.



Version-Release number of selected component (if applicable):
eric6 18.12 (rev. 77189681b787)

How reproducible:
See above

Steps to Reproduce:
1.
2.
3.

Actual results:
Eric IDE unuseable


Expected results:
Eric IDE useable



Additional info:

Comment 1 Federico Bruni 2020-01-27 09:42:19 UTC
This error was fixed in release 19.02.1, see:
https://die-offenbachs.homelinux.org/issues/issue308

Meanwhile version 20.01 has been released:
http://eric-ide.python-projects.org/eric-news.html

Can the package be upgraded?
Thanks

Comment 2 Fedora Update System 2020-01-27 16:16:12 UTC
FEDORA-2020-c10b1e0529 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c10b1e0529

Comment 3 Fedora Update System 2020-01-31 01:28:47 UTC
eric-20.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c10b1e0529

Comment 4 Fedora Update System 2020-02-10 01:42:09 UTC
eric-20.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.